# Actinvoting


[![PyPI Status](https://img.shields.io/pypi/v/actinvoting.svg)](https://pypi.python.org/pypi/actinvoting)
[![Build Status](https://github.com/francois-durand/actinvoting/actions/workflows/build.yml/badge.svg?branch=main)](https://github.com/francois-durand/actinvoting/actions?query=workflow%3Abuild)
[![Documentation Status](https://github.com/francois-durand/actinvoting/actions/workflows/docs.yml/badge.svg?branch=main)](https://github.com/francois-durand/actinvoting/actions?query=workflow%3Adocs)
[![License](https://img.shields.io/github/license/francois-durand/actinvoting)](https://github.com/francois-durand/actinvoting/blob/main/LICENSE)
[![Code Coverage](https://codecov.io/gh/francois-durand/actinvoting/branch/main/graphs/badge.svg)](https://codecov.io/gh/francois-durand/actinvoting/tree/main)

Actinvoting (Analytic Combinatorics Tools In Voting) uses mathematical tools from analytic combinatorics to compute probabilities in voting theory.


- Free software: MIT license
- Documentation: https://francois-durand.github.io/actinvoting/.


## Features

- Estimate the probability that a candidate is a Condorcet winner (or more generally an alpha-winner) by different methods: theoretical equivalent obtained via analytic combinatorics, exact computation, or Monte Carlo estimate.
- Implement different cultures such as Impartial Culture or the Mallows model.
- Perform symbolic or numeric computations.

## Credits

This package was created with [Cookiecutter][CC] and the [Package Helper 3][PH3] project template.

[CC]: https://github.com/audreyr/cookiecutter
[PH3]: https://balouf.github.io/package-helper-3/
